## BraseroVolume BraseroVolume |

## Functions

gchar * | brasero_volume_get_name ()
GIcon * | brasero_volume_get_icon ()
GVolume * | brasero_volume_get_gvolume ()
gboolean | brasero_volume_is_mounted ()
gchar * | brasero_volume_get_mount_point ()
gboolean | brasero_volume_umount ()
gboolean | brasero_volume_mount ()
void | brasero_volume_cancel_current_operation ()

## Types and Values

struct | BraseroVolume

## Object Hierarchy

        GObject
        ╰── BraseroMedium
            ╰── BraseroVolume

## Description

## Functions

### brasero_volume_get_name ()

    gchar *
    brasero_volume_get_name (BraseroVolume *volume);

Returns a string that can be displayed to represent the volume²

#### Parameters

volume | BraseroVolume * |

#### Returns

a gchar *. Free when not needed anymore.

### brasero_volume_get_icon ()

    GIcon *
    brasero_volume_get_icon (BraseroVolume *volume);

Returns a GIcon pointer for the volume.

#### Parameters

volume | BraseroVolume * |

#### Returns

a GIcon*

### brasero_volume_get_gvolume ()

    GVolume *
    brasero_volume_get_gvolume (BraseroVolume *volume);

Gets the corresponding GVolume for `volume` .

#### Parameters

volume | BraseroVolume |

#### Returns

a GVolume *.

### brasero_volume_is_mounted ()

    gboolean
    brasero_volume_is_mounted (BraseroVolume *volume);

Returns whether the volume is currently mounted.

#### Parameters

volume | BraseroVolume |

#### Returns

a gboolean. TRUE if it is mounted.

### brasero_volume_get_mount_point ()

    gchar *
    brasero_volume_get_mount_point (BraseroVolume *volume,
                                    GError **error);

Returns the path for mount point for `volume` .

#### Parameters

volume | BraseroVolume |
error | GError ** |

#### Returns

a gchar *

### brasero_volume_umount ()

    gboolean
    brasero_volume_umount (BraseroVolume *volume,
                           gboolean wait,
                           GError **error);

Unmount `volume` . If wait is set to TRUE, then block (in a GMainLoop) until the operation finishes.

#### Parameters

volume | BraseroVolume |
wait | gboolean |
error | GError ** |

#### Returns

a gboolean. TRUE if the operation succeeded.

### brasero_volume_mount ()

    gboolean
    brasero_volume_mount (BraseroVolume *volume,
                          GtkWindow *parent_window,
                          gboolean wait,
                          GError **error);

Mount `volume` . If wait is set to TRUE, then block (in a GMainLoop) until the operation finishes. `parent_window` is used if an authentification is needed. Then the authentification dialog will be set modal.

#### Parameters

volume | BraseroVolume * |
parent_window | GtkWindow * |
wait | gboolean |
error | GError ** |

#### Returns

a gboolean. TRUE if the operation succeeded.

### brasero_volume_cancel_current_operation ()

    void
    brasero_volume_cancel_current_operation
                                   (BraseroVolume *volume);

Cancels all operations currently running for `volume`

#### Parameters

volume | BraseroVolume * |

## Types and Values

### struct BraseroVolume

    struct BraseroVolume;